Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Member Functions
ColorScaleWidget Class Reference

Widget used to display and edit color scale. More...

`#include <ColorScaleWidget.h>`

List of all members.

## Public Member Functions

- ColorScaleWidget (QWidget *parent=NULL)
- virtual ~ColorScaleWidget ()
- void setColorScale (tlp::ColorScale *colorScale)
    Set the color scale to display.
- tlp::ColorScale * getColorScale () const
- void setOrientation (Qt::Orientation orientation)
- QSize minimumSizeHint () const
- QSize sizeHint () const

## Protected Member Functions

- void paintEvent (QPaintEvent *event)

## Detailed Description

Widget used to display and edit color scale.

## Constructor & Destructor Documentation

ColorScaleWidget::ColorScaleWidget | ( | QWidget * | parent = `NULL` | ) |

virtual ColorScaleWidget::~ColorScaleWidget | ( |  | ) | `[virtual]`

## Member Function Documentation

tlp::ColorScale* ColorScaleWidget::getColorScale | ( |  | ) | const`[inline]`

QSize ColorScaleWidget::minimumSizeHint | ( |  | ) | const

void ColorScaleWidget::paintEvent | ( | QPaintEvent * | event | ) | `[protected]`

void ColorScaleWidget::setColorScale | ( | tlp::ColorScale * | colorScale | ) |

Set the color scale to display.

void ColorScaleWidget::setOrientation | ( | Qt::Orientation | orientation | ) |

QSize ColorScaleWidget::sizeHint | ( |  | ) | const

Tulip Software by LaBRI Visualization Team 2001 - 2012